
/* ---------- Main Page ---------- */

body {
    font-family: 'Roboto', sans-serif!important;
    color: #2C3E50;
    font-size: 0.9rem;
    overflow: hidden;
}

h1, h2, h3, h4, h5, h6, a, p, label {
    font-family: 'Roboto', sans-serif!important;
}

a:focus, a:hover {
    text-decoration: unset;
}

#sidebar {
    margin-left: -18rem;
}

#sidebar .components i {
    font-size: 16px;
    width: 36px;
    text-align: center;
}

#sidebarCollapse {
    display: none;
}

#sidebarCollapse:focus, #sidebarCollapse:active {
   outline: none !important;
   box-shadow: none;
}

#main h3 {
    text-align: left!important;
}

.overlay {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.7);
  z-index: 10;
  cursor: pointer;
}

.cursor-pointer {
  cursor: pointer;
}

.hidden {
    display: none;
}

button:focus, input:focus, select:focus, span:focus {
    outline: 0!important;
}

iframe {
    border:  1px solid #6e6e6e11;
}

.app-wrapper {
    //min-height: 100vh;
}

.container-fluid {
    //margin-top: 66px!important;
}

.h-100 {
    min-height: 100vh!important;
}

.w-100 {
    min-width: 100%!important;
}

.ta-l {
    text-align: left!important;
}

.ta-c {
    text-align: center!important;
}

.ta-r {
    text-align: right!important;
}

.pull-left {
    float: left!important;
    margin-left: 0.5rem!important;
}

.pull-right {
    float: right!important;
    margin-right: 0.5rem!important;
}

.bg-color-primary {
    background-color: #0a7198;
}

.btn-google {
    color: #fff;
    background-color: #c63d2d;
}

.btn-twitter {
    color: #fff;
    background-color: #1baae1;
}

.btn-facebook {
    color: #fff;
    background-color: #3b5998;
}

.text-color-primary {
    color: #007bff;
}

.text-color-secondary {
    color: #6c757d;
}

.text-color-success {
    color: #28a745;
}

.text-color-warning {
    color: #ffc107;
}

.text-color-info {
    color: #138496;
}

.text-color-danger {
    color: #dc3545;
}

.form-group {
    margin-bottom: 0.7rem!important;
}

.form-group label {
    margin-bottom: 0.1rem!important;
}

.display-block {
    display: block!important;
}

.display-inline {
    display: inline!important;
}

.display-inline-block {
    display: inline-block!important;
}

.modal-content {
    border-radius: 0.5rem;
}

.modal-body {
    padding: 0;
}

@keyframes blinker {
  0% { opacity: 1.0; }
  50% { opacity: 0.0; }
  100%{ opacity: 1.0; }
}

.not-icon {
  -webkit-animation-name: blinker;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-duration: 1.7s;
  color: #d76363;
}

/* ---------- Sidebar ---------- */

.wrapper {
    display: flex;
    width: 100%;
    align-items: stretch;
}

a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: -5px;
    transform: translateY(-50%);
}

.card {
    border-radius: 0.7rem;
    box-shadow: 0 0 10px 2px #6e6e6e11;
}

#sidebar {
    width: 14rem;
    position: fixed;
    height: 100vh;
    z-index: 100000;
    transition: all 0.3s;
     margin-top: 64px; 
    background: #fff;
    // box-shadow: 0 4px 4px 1px lightgrey;
    border-top: 1px solid #6e6e6e11;
}

#sidebar .sidebar-header {
    padding: 20px;
}

#sidebar ul p {
    padding: 10px;
}

#sidebar ul {
    padding-top: 0.2rem;
}

#sidebar ul li  {
    padding: 0.1rem 1rem;
}

#sidebar ul li a  {
    margin-top: 0.5rem;
    padding: 10px 14px;
    font-size: 0.8rem;
    display: block;
    color: #000;
/*    border: 1px solid #fff;*/
    border-radius: 0.7rem;
}

#sidebar ul li a:hover {
    background: #eee;
}

#sidebar ul li.active > a, a[aria-expanded="true"] {
    background: #34abd9;
    color: #fff;
}
ul ul a {
    font-size: 0.9em !important;
    padding-left: 30px !important;
    background: #6d7fcc;
}

.sidebar-footer {
    position: absolute;
    margin-bottom: 64px;
    bottom: 3rem;
    font-size: 0.8rem;
    padding: 1.5rem;
    width: 100%;
}

/* ---------- Scroll Bar ---------- */

/* width */
::-webkit-scrollbar {
  width: 9px;
  border-radius: 0.4rem;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 0.4rem;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #555;
  border-radius: 0.4rem;
  min-height: 70px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #222;
  border-radius: 0.4rem;
  cursor: pointer;
}

.timing-row {
    padding-top: 1rem!important;
    text-align: right!important;
    width: 100%;
}

/* ---------- Media ---------- */

/* For mobile phones: */
@media only screen and (max-width: 768px) {
    body {
        font-size: 0.9rem;
    }

    .profile-img, .welcome-text {
        display: none;
    }

    .navbar {
        background: #fff;
        padding: 0rem!important;
        z-index:  99999;
    }

    .navbar>button, .navbar>a {
        margin: 0.5rem;
    }

    .navbar .navbar-brand, .navbar .nav-link {
        color: #555;
        text-align: center;
    }

    .nav-item.nav-btn .btn {
        color: #fff!important;
    }

    .navbar-nav {
        margin-top: 0.5rem;
        flex-direction: unset;
    }

    .navbar-nav .nav-item {
        width: 32%!important;
        display: inline-block;
    }

    .navbar .nav-item a {
        color: #555!important;
        width: 100%!important;
    }

    .search-wrapper {
        min-width: 100%!important;
        padding: 0.5rem;
    }

    .search-wrapper.vertical-center-align {
        //margin-top: 50%!important;
    }

    .search-wrapper input {
        padding: 0.5rem 0.5rem!important;
    }

    .search-wrapper .search-button, .search-wrapper .advance-button {
        width: 1.5rem!important;
    }
    
    .search-group .select2-container--default .select2-selection--single .select2-selection__arrow {
        height: 23px!important;
    }

    .left-row {
        padding-right: 0px!important;
        overflow-y: scroll;
        overflow-x: hidden;
    }

    .col-1-9 {
        width: 25%!important;
        padding: 0.5rem;
    }

    .footer .desktop {
        display: none!important;
        z-index:  99999!important;
    }

    .footer .mobile {
        display: block!important;
        z-index:  99999!important;
        position: fixed;
        bottom: 0;
        width: 100%;
    }

    .container-fluid {
       //margin-top: 144px!important;
        padding: 0!important;
    }

    .search-wrapper .search-bar, 
    .search-wrapper .search-button, 
    .search-wrapper .advance-button, 
    select, 
    .search-wrapper .select2-container .select2-selection--single, 
    .search-wrapper .select2-selection__rendered,
    .search-wrapper .input-group-append {
        height: 2.6rem!important;
        font-size: 0.9rem!important;
    }

    .search-wrapper .select2-selection__rendered {
        line-height: 2.6rem!important;
    }

    #leftbox {
        display: none!important;
    }

    #signin {
        border-radius: 0rem!important;
        padding: 0 2rem!important;
    }

    .auth-wrapper {
        padding: 1rem!important;
    }

    .auth-inner {
        width: 100%!important;
        float: left!important;
        height: 70vh!important;
        background: #fff!important;
    }

    .account-main {
        border-radius: 1rem!important;
    }

    .account-business, .account-personal {
        clip-path: unset!important;
    }

    #right-row {
        position: fixed!important;
        background: #fff;
        transition: 0.1s;
        left: 100%!important;
        overflow-y: scroll;
        touch-action: none;
    }

    #right-row.active {
        position: absolute!important;
        transition: 0.3s;
        left: 0!important;
    }

    #btn-right-row-hide.active {
        position: fixed!important;
        display: block!important;
        top: 0.3rem;
    }

    .profile-username {
        display: block;
    }

    .right-row .btn-bottom-wrapper .btn {
        font-size: 0.9rem;
        padding: 0.6rem 0.2rem;
        width: 25%!important;
        margin: 0!important;
        float: left!important;
    }

    .company-contact div {
        width: 50%;
        padding: 0.5rem 0.2rem;
    }

    #map {
        height: 260px!important;
    }

    #sidebar_backdrop.active {
        height: 100vh;
        width: 100%;
        background-color: transparent;
        position: absolute;
        display: block;
        z-index: 999;
    }

    #sidebar.active {
        margin-left: 0;
        z-index: 1000;
    }

    #sidebarCollapse {
        display: inline!important;
    }

    #navbarToggle {
        display: none;
    }

    .pagination-btn {
        min-width: 100%;
        position: fixed;
        bottom: 44px;
        height: 4.5rem!important;
        background: #fff;
        border-top:  1px solid #6e6e6e11;
    }

  /*  #product_iframe {
        width: 100%;
        height: 26vh!important;
        background: #000!important;
        border-radius: 1rem;
    }*/

    .account-wrapper {
        overflow-x: hidden!important;
    }

    .timing-row {
        padding-top: 0.3rem!important;
        text-align: left!important;
    }

    .new-notification-footer {
        position: absolute;
        left: 1.7rem;
        top: 0.2rem;
    }

    .new-notification-footer .fas {
        color: #fff!important;
        font-size: 0.8rem;
    }

    .fav-img {
        height: 52px!important;
        width: 52px!important;
        margin: 0.8rem 0.5rem!important;
        border-radius: 50%;
    }

    .btn-fav-map {
        margin-top: 0.3rem;
        position: relative!important;
        display: block!important;
        right: 0!important;
        bottom: 0!important;
    }

    .fav-card-body {
        padding: 0.8rem 0.5rem 0.8rem 0!important;
    }
    
    .search-group .fa-search {
        height: 2.6rem!important;
        font-size: 0.8rem!important;
    }
    .navbar.active {
        background: #fff!important;
        box-shadow: 1px 2px 10px rgba(0, 0, 0, 0.1)!important;
    }
    .filter-card, .ads-card {
        min-width: 90%!important;
        max-width: 90%!important;    
    }

    .search-wrapper {
        min-width: 0px;
        margin-left: 0rem!important;
    }

    .business-card {
        width: 100%;
    }

    .right-row {
        padding: 0 0rem 12rem 0rem!important;
    }

    #vid_name .video_frame {
        max-height: 25rem!important;
        height: 25vh!important;
    }

    .business-video-overlay.overlay-list .video_frame {
        max-height: 12.5rem!important;
    }

    #business_tag_div_right {
        left: 92%!important;
        background-image: linear-gradient(to right, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1))!important;
        display: block!important;
    }

    .navbar.navbar-expand-lg {
        display: block;
    }

    .navbar.navbar-expand-lg .logo {
        left: 47%;
        transform: translateX(-25%);
        position: relative;
    }
}

@media (min-width: 1920px) and (max-width: 2560px)  {
    .container-fluid {
        width: 1366px!important;
    }
    .company-card .cardx img {
        height: 9.5vh!important;
    }
    .company-card p {
        min-height: 20px!important;
    }
    .company-card p:hover {
        cursor: pointer;
    }
}

/* For Normal desktop: */
@media only screen and (min-width: 768px) {
    body, .right-row .company-title {
        font-size: 14px!important;
    }
    .company-card .cardx img {
        height: 9.5vh!important;
    }

    .search-wrapper .select2-selection__rendered {
        line-height: 2.2rem!important;
        color: #2C3E50!important;
    }

    .right-row .btn-bottom-wrapper .btn {
        padding: 0.6rem 0.2rem!important;
        width: 16.66%!important;
        margin: 0rem!important;
        float: left!important;
    }

    .company-contact div {
        width: 50%;
        padding: 0.5rem 0.2rem;
    }


    .col-1-8 {
        width: 12.5%!important;
        flex: 0 0 12.5%;
        max-width: 12.5%;
    }
}

/* For Wide desktop: */
@media only screen and (min-width: 1920px) {
    body, .right-row .company-title {
        font-size: 0.9rem!important;
    }
    .company-card .cardx img {
        height: 12vh!important;
    }


    .col-1-8 {
        width: 12.5%!important;
        flex: 0 0 12.5%;
        max-width: 12.5%;
    }
}

/* ---------- Navbar ---------- */

#btn-right-row-hide {
    display: none;
    padding: 0.5rem 0.9rem;
    border: none;
    font-size: 1rem;
    border-radius: 50%;
}

#btn-right-row-hide:active {
    transform: scale(1.1);
}

.profile-username {
    text-transform: uppercase;
    text-align: center;
    width: 100%;
}

#mob-user-li {
    border-bottom: 1px solid #6e6e6e11;
}

#mob-user-li a {
    margin: 0.5rem  0!important;
    color: #04a1dc!important;
}

.mob-profile-img {
    height: 48px;
    width: 48px;
    border-radius: 50%;
}

.mob-profile-username {
    margin-left: 1rem;
}

.footer .mob-profile-img {
    height: 32px;
    width: 32px;
    border-radius: 50%;
    margin-top: -6px;
}

.footer-right-link {
    position: absolute;
    right: 0;
    bottom: 0;
    padding: 0.3rem 2rem;
}

.footer-left-link {
    position: absolute;
    left: 0;
    bottom: 0;
    padding: 0.3rem 2rem;
}

.navbar {
    transition: all 0.1s;
    padding: 0 1.5rem;
    z-index:  99999;
}

.navbar .logo {
    height: 2.6rem;
}

.navbar .nav-item {
    color: #fff;
    margin: auto 0.6rem;
    font-size: 13px;
}

.navbar .navbar-nav .btn {
    color:  #fff;
    border-radius: 2rem;
    padding: 0.5rem 1.2rem;
}

.navbar-nav .btn.login-btn {
    margin-right: 0.5rem;
    padding: 0.35rem 0.7rem;
    font-size: 13px;
    background: #0a7198;
}

.navbar-nav .btn.signup-btn {
    padding: 0.3rem 0.6rem;
    font-size: 0.7rem;
}

.navbar .nav-link:hover,
.navbar .nav-link:focus {
    color: #0a7198;
    text-decoration: none;
}

.navbar .navbar-nav .btn:hover,
.navbar .navbar-nav .btn:focus {
    color:  #fff;
    box-shadow: 2px 3px 5px 1px rgba(0, 0, 0, 0.3);
}

.navbar .navbar-brand {
    color: #fff;
    margin-top: 0.4rem;
}

.dropdown-menu.show a.dropdown-item {
    color: #555!important;
    font-size: 0.8rem;
    text-shadow: none;
}

.navbar .nav-item a {
    color: #fff;
}

.navbar.active {
    // background: #fff;
    background: transparent;
    //box-shadow: 1px 2px 10px rgba(0, 0, 0, 0.1);
}

.navbar.active .nav-link {
    color: #555;
}

.navbar.active .nav-link:hover,
.navbar.active .nav-link:focus {
    color: #555;
    text-decoration: none;
}

.navbar.active .navbar-brand {
    color: #fff;
}

.profile-li {
    color: #fff!important;
    font-weight: bold;
    cursor: pointer;
    margin-right: 2rem!important;
}

.profile-li .dropdown-toggle::after {
    display: none!important;
}

.nav-link {
    padding: 0 0.5rem !important;
    z-index: 99997;
}

.dropdown-menu .nav-link {
    padding: 0.5rem 1rem !important;
}

.dropdown-menu .nav-link:active {
    background: lightgrey;
}

.profile-img {
    margin: 0 1rem;
    width: 2.4rem;
    height: 2.6rem;
    border-radius: 50%;
}

.modal {
    margin-top: 8rem;
    z-index: 100000;
}

.modal-backdrop {
  z-index: 99998;
}

#fav_icon {
    color: #0a7198;
}

#like_icon.far {
    color: gray;
}

#like_icon.fas {
    color: red;
}

#like_count {
    font-size: 0.7rem;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: 1.8rem;
    padding: 0.1rem 0.4rem;
    border-radius: 0.4rem;
}

#like_count.liked {
/*    background: red;*/
/*    border: 1px solid red;*/
    color: red;
}

#like_count.unliked {
    color: gray;
}

.input-group-text {
    font-size: 0.85rem;
}
/* ---------- Home Search Wrapper ---------- */

.search-wrapper {
    font-size: 0.8rem;
    margin-left: 8.9rem;
}

.vertical-center-align {
    margin-top: 20vh;
}

.vertical-middle-align {
    height: 60vh;
    position: relative;
}

.search-group {
    border-radius: 2rem;
    color: #495057;
    background-color: #fff;
    border-color: #80bdff;
    box-shadow: inset 0 0.5rem 1.1rem -1rem #211e1e3b;
/*    box-shadow: 0 0.2rem 0.2rem 0.1rem #211e1e3b inset;*/
}

.search-group .fa-search {
    height: 2.6rem;
    width: 34px;
    padding: 14px;
    color: #aaa;
    font-size: 16px;
    border: 1px solid #ced4da;
    border-right: 0px;
    border-radius: 22px 0 0 22px;
    outline: none;
    line-height: 0.8;
    background: #fff;
}

.search-wrapper.active .fa-search {
    border-radius: 22px 0 0 0!important;
}

.search-wrapper.active .search-button {
    border-radius: 0 2rem 0 0;
}

.filter-card.active .card {
    border-radius: 0 0 1rem 1rem;
}

.search-wrapper .search-bar {
    height: 2.6rem;
    border-radius: 2rem 0 0 2rem;
    font-size: 0.8rem;
    border-left: 0px;
    border-right: 0px;
    padding: 0.3rem 0.5rem 0.5rem 0.5rem;
    box-shadow: inset 0 0.5rem 1.1rem -1rem #211e1e3b;
}

.search-wrapper .search-bar:focus {
/*    border-color: #ced4da;
    border-left: 0px;
    border-right: 0px;
    box-shadow: unset;*/
}

.search-wrapper .search-bar:focus, .search-wrapper .search-bar:active {
    border-left-color: #d2d2d2;
    border-right-color: #d2d2d2;
}

.search-wrapper .search-button {
    height: 2.6rem;
    border-radius: 0 2rem 2rem 0;
    width: 1.5rem;
    background: #fff;
    border: 1px solid #ced4da;
    border-left: 0;
    font-size: 1rem;
    color: #2C3E50;
    box-shadow: inset 0 0.5rem 1.1rem -1rem #211e1e3b;
}

.search-wrapper.active .advance-button {
    border-radius: 0 2rem 0 0!important;
}

.search-wrapper .advance-button {
    height: 2.6rem;
    width: 3rem;
    background: #fff;
    padding-right: 1rem;
    border: 1px solid #ced4da;
    border-left: 0px;
    font-size: 1rem;
    color: #2C3E50;
    border-radius: 0 1.4rem 1.4rem 0;
    box-shadow: inset 0 0.5rem 1.1rem -1rem #211e1e3b;
}

.search-wrapper .select2-selection__rendered {
    color: #888!important;
    padding-top: 0.1rem;
}

.search-wrapper .select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 32px;
}

.search-wrapper .logo-wrapper .logo {
    height: 2.6rem;
}

.search-wrapper .logo-wrapper {
    border-radius: 1.5rem;
    display: inline;
    background: #fff;
    padding: 1.7rem 1.5rem;
}

select, .search-wrapper .select2-container .select2-selection--single {
    height: 2.6rem;
    border: 1px solid #ced4da;
    border-left: 0px;
    border-right: 0px;
    border-radius: 0;
    // font-weight: bold;
    width: 7rem!important;
    box-shadow: inset 0 0.5rem 1.1rem -1rem #211e1e3b;
}

.select2-selection__arrow {
    // display:none !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
    margin-left: -8px!important;
    margin-top: 1px!important;
}

.btn-advance-search {
    position: absolute;
    z-index: 999;
    top: -1.67rem;
    left: 50%;
    transform: translateX(-50%);
    border: 1px solid #6e6e6e11;
    padding: 0.2rem 1rem;
    border-bottom: 3px solid #fff;
    background: #fff;
    border-radius: 1rem 1rem 0 0;
    font-size: 0.7rem;
    cursor: pointer;
}

.btn-advance-search-list-div {
    position: absolute;
    z-index: 999;
    left: 50%;
    transform: translateX(-30%);
    border: 1px solid #6e6e6e11;
    padding: 0.2rem 1rem;
    background: #fff;
    border-radius: 1rem;
    font-size: 0.7rem;
    cursor: pointer;
}

.page-bottom-margin {
   margin-bottom: 4rem; 
}

.inpage-ads {
    margin: 2rem auto;
    width: 100%;
}

.ads-card {
    display: block!important;
    z-index: 99;
}

.filter-card {
    z-index: 100;
}

.filter-card, .ads-card {
    display: none;
    position: absolute;
    min-width: 540px;
    max-width: 540px;
    border-radius: 1rem;
    box-shadow: 0 0.2rem 0.4rem 0.1rem #6e6e6e11;
}

.filter-card-list {
    z-index: 9999;
    display: none;
    position: absolute;
    border-radius: 0 0 1rem 1rem!important;
    box-shadow: 0 0.8rem 0.4rem 0.1rem #6e6e6e11;
    top: 40px;
    width: 100%;
}

.filter-card-list .card {
    border-radius: 0 0 1rem 1rem!important;
}

.filter-card .card {
    border-radius: 1rem;
    margin-bottom: 0rem;
}

.filter-card .card-body {
    padding: 0.5rem 0.75rem 0.75rem 0.75rem;
}

.filter-card .card-title {
    margin-bottom: 0.1rem;
}

.filter-card .card-text {
    margin-bottom: 0.2rem;
}

/* ---------- Footer Social Media Links ---------- */

.social-media-links .fab {
    font-size: 1rem;
}

.social-media-links .fas {
    font-size: 0.9rem;
}

.social-media-links .fas, .social-media-links .fab {
    padding:  0.1rem;
}

.social-button-div {
    margin-left: 50%;
    transform: translateX(-50%);
    width: 100%;
    display: flex;
}

.social-button {
    width: 3rem;
    height: 3rem;
    line-height: 1.5rem;
    margin: 0.3rem 0.5rem;
}

.social-btn-twitter {
    color: #fff;
    background: #1baae1;
}

.social-btn-facebook {
    color: #fff;
    background: #3b5998;
}

.social-btn-whatsapp {
    color: #fff;
    background: #4FCE5D;
}

.social-btn-linkedin {
    color: #fff;
    background: #0e7ea8;
}

.social-btn-copy {
    color: #fff;
    background: #f3a23d;
}

.footer {
    position: fixed;
    width: 100%;
    bottom: 0;
    z-index:  999999;
    // box-shadow: 0px -2px 6px 1px #c1c3c3;
}

.no-side-margin {
    margin-left: 0px!important;
    margin-right: 0px!important;
}

.no-side-padding {
    padding-left: 0px!important;
    padding-right: 0px!important;
}

.mob-footer-bottom a {
    color: #fff!important;
}

.mob-footer-bottom.active a {
    color: #0a7198!important;
}

.mob-footer-bottom {
    position: relative;
    display: inline-block;
    width: 25%;
    list-style-type: none;
    font-size:20px;
    float:left;
    padding: 14px;
    height: 100%;
}

.mob-footer-bottom.active {
    background: #fff;
}

.footer .desktop {
    display: block;
    z-index:  99999;
}

.footer .mobile {
    display: none;
    z-index:  99999;
    text-align: center;
    height: 52px;
    background: #0a7198;
}

/* ---------- List Page ---------- */

.left-row {
    display: block;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    border-right: 1px solid #6e6e6e11;
    padding-right: 1rem;
    min-height: 80vh;
    height: 80vh;
    padding-bottom: 8.7rem!important;
    overflow-y: scroll;
    overflow-x: hidden;
}

.right-row {
    padding: 0 1rem 12rem 1rem;
    /*min-height: 100vh;
    height: 100vh;
    overflow-y: scroll;*/
}

.company-card {
    border: 1px solid #6e6e6e55;
    float: left;
}

.company-card .cardx {
    overflow: hidden;
    cursor: pointer;
    vertical-align: middle;
    text-align: center;
    display: flex;
    justify-content: center;
    padding: 0.2rem;
}

.company-card.active {
    border: 1px solid #04a1dc;
}

.company-card .cardx img {
    height: 12vh;
    width: auto;
    max-width: 100%;
    border-radius: unset!important;
}

.company-card p {
    min-height: 20px;
    font-size: 0.7rem;
    font-weight: bold;
    margin: 0!important;
    padding: 0.2rem  0.3rem 0.1rem!important;
}

.company-card span {
    min-height: 18px;
    display: block;
    font-size: 0.6rem;
    margin: 0!important;
    padding: 0rem 0.3rem 0.2rem !important;
}

.btn-vid {
    display: none;
}

.col-1-9 {
    width: 10%;
    padding: 0.5rem;
}

.col-2-9 {
    width: 20%;
    padding: 0.5rem;
}

.pagination-btn {
    max-width: 400px;
    margin-left: 50%;
    transform: translateX(-50%);
    height: 0;
}

.pagination-btn .page-btn {
    font-size: 0.9rem;
    line-height: 1.8rem;
    height: 1.8rem;
    width: 1.8rem;
    text-align: center;
    border-radius: 50%;
    margin-right: 0.1rem;
    margin-top: 0.3rem;
}

.pagination-btn .page-btn.active {
    background: #04a1dc;
    color:  #fff;
}

.right-row .company-title {
    display: table;
    border-collapse: collapse;
    width:100%;
}

.right-row .company-title > div {
    display: table-cell;
    vertical-align: middle;  /* needed for Safari */
}

.right-row .company-title .arrows {
    width: 3rem;
    font-size: 1.2rem;
    text-align: center;
    color: #0a7198;
    cursor: pointer;
}

.title-wrapper {
    padding-top: 1rem;
    display: flex;
}

.right-row .company-title .arrows:active {
    transform: scale(1.1);
}

.right-row .company-img {
    margin: 0.3rem 0.8rem;
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
}

.right-row .company-contact > div {
    min-width: 24%;
    text-align: left;
    border-bottom: 1px solid #6e6e6e11;
    border-left: 1px solid #6e6e6e11;
}

.right-row .company-contact .fa {
    width: 1rem;
    font-size: 0.8rem;
}

.right-row .company-name-wrapper {
    display: inline-block;
    width: 100%;
}

.right-row .company-desc {
}

.right-row .company-name {
    font-size: 1.3rem;
    font-weight: bold;
}

.right-row .company-contact {
    font-size: 0.7rem;
    padding: 0rem;
}

.right-row .video-wrapper {
}

/*#product_iframe {
    width: 100%;
    height: 34vh;
    background: #000!important;
    border-radius: 1rem;
}*/

.right-row .video-wrapper .btn {
    font-size: 0.7rem;
    font-weight: bold;
    padding: 0.2rem 0.8rem;
    border-radius: 1rem;
    border: 1px solid #6e6e6e11;
    background: #fefefe;
    box-shadow: 0 0.2rem 0.4rem 0.1rem #6e6e6e11;
}

.right-row .video-wrapper .btn:hover {
    box-shadow: 0 0.2rem 0.4rem 0.1rem gray;
}

.right-row .video-wrapper .btn-top-wrapper {
    position: relative;
    z-index: 99999;
    top: 0.9rem;
}

.right-row .btn-bottom-wrapper {
    z-index: 99999;
    height: 3rem;
}

.right-row .btn-bottom-wrapper .btn {
    font-size: 1.1rem;
    font-weight: bold;
    padding: 0.5rem 0.8rem;
    border: 1px solid #6e6e6e11;
    background: #fefefe;
    width: 12.5%!important;
    border-radius: 0!important;
    position: relative;
}

.right-row .company-hours > div {
    min-width: 49%;
    text-align: left;
}

.bus_caption {
    text-align: justify!important;
}

.caption-div {
    display: block;
    border-top: 1px solid #6e6e6e11;
    border-bottom: 1px solid #6e6e6e11;
/*    height: 8.5rem;
    overflow-y: auto;*/
    border-right: 4px solid white;
}

.address-div p, .caption-div p{
    margin: 0;
    margin-top: 1rem;
}

#btn-read {
    background: #fff;
    border: none;
    padding: 0.3rem 1rem;
    color: #04a1dc;
    font-size: 0.8rem;
}

#map {
    height: 600px;
    width: 100%;
    margin-bottom: 10px;
}

#video-placeholder, #map-placeholder, #product-video-placeholder {
    height: 35vh;
    width: 100%;
}

#vid_name, #vid_product_video_name {
    height: auto!important;
    width: 100%;
    margin: 0;
    border-style: none!important;
    border-radius: 1rem;
}

#address_span, #bus_view {
    display: inline-block;
    padding-top: 0.1rem;
}

#btn_likes {
    border-radius: 0.8rem 0 0 0.8rem!important;
}

#btn_bus_map {
    border-radius: 0 0.8rem 0.8rem 0!important;
}


#btn_bus_product {
    padding: 0.1rem 0.4rem;
    border: 1px solid lightgray;
    border-radius: 0.5rem;
    background: #04a1dc;
    color: #fff;
    cursor: pointer;
}

/* ---------- Sign In / Sign Up ---------- */

.form-control {
    font-size: 0.9rem;
}

.auth-wrapper {
    z-index: 999;
    border-radius: 1rem;
}

.auth-inner {
    width: 50%;
    float: left;
    height: 70vh;
    background: #fff;
}

#leftbox {
    border-radius: 1rem 0 0 1rem;
    padding: 4rem 4rem;
}

#signin {
    border-radius: 0 1rem 1rem 0;
    padding: 0rem 4rem;
}

#signup {
    border-radius: 0 1rem 1rem 0;
    padding: 0rem 4rem;
}

.toggle-link {
    color: #0a7198;
    font-weight: bold;
    cursor: pointer;
}

#login_error {
    color:  red;
}

#signup_error {
    color:  red;
}

/* ---------- Account Page ---------- */

.account-wrapper {
    height: 90vh;
    overflow-y: scroll;
    padding-bottom: 4rem;
}

.account-wrapper>.row{
    margin-left: 16px; 
    margin-right: 16px;
}

.profile-logo {
    border-radius: 50%;
    height: 132px;
    width: 132px;
    margin-left: 50%;
    transform: translateX(-50%);
    margin-bottom: 0.7rem;
}

#upload_logo {
    font-size: 0.7rem;
    height: 32px;
    width: 132px;
    margin-left: 50%;
    transform: translateX(-50%);
    border: none;
    background: #56657311;
}

#upload_progres_wrapper {
    width: 132px;
    margin-left: 50%;
    transform: translateX(-50%);
    height: 0.2rem;
    background: #6e6e6e11;
}

#upload_progress {
    height: 0.2rem;
    width: 0px;
    background: #007bff;
}

.account-main {
    border: 1px solid #6e6e6e11;
    padding: 1rem;
    box-shadow: 0 0 0.5rem 0.1rem #6e6e6e11;
}

.account-personal {
    border-radius: 1rem 0 0 1rem;
    clip-path: inset(-10px 0px -10px -10px);
    border-right: unset;
}

.account-business {
    border-radius: 0 1rem 1rem 0;
    clip-path: inset(-10px -10px -10px 0px);
}

.account-video {
    border-radius: 1rem;
}

.account-video .video-frame {
    width: 100%;
    height: 32vh;
}

.account-favourite {
    border-radius: 1rem;
}

.account-btn-wrapper {
    border-radius: 1rem 0 0 1rem;
    border: 1px solid #6e6e6e11;
    padding: 0.6rem 1rem;
    box-shadow: 0 0 0.5rem 0.1rem #6e6e6e11;
    position: fixed;
    right: 0px;
    bottom: 8rem;
    background: #fff;
}

.account-btn-save {
    border-radius: 50%;
    border: unset;
    background-color: #28a745;
    color: #fff;
    padding: 4px;
    cursor: pointer;
    float: left;
    width: 40px;
    height: 40px;
}

.save-text {
    font-weight: bold;
    height: 40px;
    padding: 1rem 0.7rem;
    text-align: center;
    display: inline-block;
    line-height: 0.5rem;
}

.fav-img {
    height: 72px;
    width: 72px;
    margin: 1rem 0.5rem;
    border-radius: 50%;
}

.card {
    flex-direction: row;
    margin-bottom: 1rem;
}

.fav-card {
    border-radius: 1rem;
}

.fav-card-body {
    padding: 0.5rem 0.5rem 0.5rem 0;
}

.btn-fav-remove {
    border-radius: 50%!important;
    height: 20px;
    width: 20px;
    min-height: 20px;
    min-width: 20px;
    padding: 0rem!important;
    position: absolute;
    right: 0.5rem;
    top: 0.5rem;
    font-size: 0.7rem;
    background: #b9b8b8;
    color: #fff;
}

.fav-card .btn-fav-remove i.fa {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.btn-fav-map {
    background: #0a7198!important;
    border-radius: 0.5rem!important;
    position: absolute;
    right: 0.8rem;
    bottom: 0.8rem;
}

#account_alert {
    position: fixed;
    top:  3rem;
    max-width: 30rem;
    margin-left: 50%;
    transform: translateX(-50%);
    height: auto;
    padding: 0.5rem 0.9rem;
    border-radius: 0.5rem;
    z-index: 9999999;
}

#account_alert.success {
    background: #D0ECE7;
    border:  1px solid #82E0AA;
    box-shadow: 0 0.2rem 0.3rem 0.1rem #6e6e6e11;
    color: #16A085;
    animation: wiggle 3s normal;
}

#account_alert.warning {
    background: #FCF3CF;
    border:  1px solid #F7DC6F;
    box-shadow: 0 0.2rem 0.3rem 0.1rem #6e6e6e11;
    color: #F39C12;
    animation: wiggle 3s normal;
}

#account_alert.danger {
    background: #FADBD8;
    border:  1px solid #F1948A;
    box-shadow: 0 0.2rem 0.3rem 0.1rem #6e6e6e11;
    color: #E74C3C;
    animation: wiggle 3s normal;
}

#account_alert.info {
    background: #D6EAF8;
    border:  1px solid #85C1E9;
    box-shadow: 0 0.2rem 0.3rem 0.1rem #6e6e6e11;
    color: #3498DB;
    animation: wiggle 3s normal;
}

@keyframes wiggle {
     0% { transform: translateX(calc(-50% - 10px)); }
     5% { transform: translateX(calc(-50% + 20px)); }
    10% { transform: translateX(calc(-50% - 20px)); }
    15% { transform: translateX(calc(-50% + 10px)); }
    20% { transform: translateX(calc(-50% - 10px)); }
    30% { transform: translateX(calc(-50% + 0px)); }
}

.toggle-acc-fav {
    background: #56657333;
    font-size: 0.7rem;
    height: 32px;
    border: none;
    width: 100%;
    line-height: 1.3rem;
}

.btn-acc-notfication, .btn-change-pass {
    background: #0a7198;
    font-size: 0.7rem;
    color: #fff;
    height: 32px;
    border: none;
    width: 100%;
    line-height: 1.3rem;
}

.toggle-acc-fav .fas {
    width: 1rem;
}

.account-favourite .toggle-acc-fav {
    width: auto;
    margin-left: 1rem;
}

#businessHours24 {
    margin: 0.2rem 0rem 0.2rem 0.5rem;
}

.bustiming {
    visibility: hidden;
}

.bustiming.active {
    visibility: visible;
}

.join-now-link {
    font-size: 1rem;
}

::-webkit-input-placeholder {
   font-style: italic;
   font-size: 12px;
   color: #aaa!important;
}
:-moz-placeholder {
   font-style: italic;
   font-size: 12px;
   color: #aaa!important;  
}
::-moz-placeholder {
   font-style: italic;  
   font-size: 12px;
   color: #aaa!important;
}
:-ms-input-placeholder {  
   font-style: italic; 
   font-size: 12px;
   color: #aaa!important;
}

#source_survey {
    width: 400px;
    display: block;
    position: absolute;
    bottom: -175px;
    background: #fff;
    border: 1px solid lightgray;
    border-radius: 1rem 1rem 0 0;
    right: 6rem;
    transition: 2s;
}

#source_survey_thankyou {
    width: 400px;
    display: block;
    position: absolute;
    bottom: -50px;
    background: #fff;
    border: 1px solid lightgray;
    border-radius: 1rem 1rem 0 0;
    right: 6rem;
    transition: 2s;
}

.auth-terms-condition {
    font-size: 0.7rem;
    position:absolute;
    bottom: 0px;
    text-align: center;
    width: 100%;
}

#vid_name .video_frame {
    height: 23.5rem;
    width: 100%;
    border-radius: 0rem;
    background: #eee;
}

.video_frame {
/*    height: 25vh;*/
    width: 100%;
    border-radius: 0.4rem;
    background: #eee;
}

.video_frame:hover {
    border-radius: 0rem;
}

.business-video {
    border-radius: 2rem;
    position: relative;
}

    .left-side-list.business-video, .left-side-list .video_frame, .left-side-list .business-video-overlay {
    height: 12vh;
}

.business-video-overlay {
    position: absolute;
    height: 25vh;
    width: 100%;
    border-radius: 0.8rem;
    z-index: 10000;
    cursor: pointer;
}

.business-video-overlay:hover {
    border-radius: 0rem;
}

.business-video-overlay:hover > .business-video {
    border-radius: 0rem;
}

#business_tag_div_parent {
    position: relative;
    width: 100%;
    overflow: hidden;
    padding: 0 2rem;
}

#business_tag_div {
    width: 1000%;
    overflow: hidden;
    left: 0;
    position: relative;
    transition: all 1s ease;
}

.business_tag_div_button {
    position: absolute;
    padding: 0.4rem 0.8rem;
    margin: 0.3rem 0.2rem;
    z-index: 10000;
}

#business_tag_div_left {
    left: 0;
    background-image: linear-gradient(to right, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0));
}

#business_tag_div_left:hover {
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0));
    cursor: pointer;
}

#business_tag_div_right {
    left: 97%;
    background-image: linear-gradient(to right, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1));
    display: none;
}

#business_tag_div_right:hover {
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.1));
    cursor: pointer;
}

.business_tag_div {
    padding: 0.4rem 0.8rem;
    margin: 0.2rem;
    border: 1px solid #aaa;
    border-radius: 1rem;
}

.business_tag_div:hover {
    cursor: pointer;
    border: 1px solid #0a7198;
    color: #fff;
    background: #0a7198;
}

.business-video-overlay:hover {
    background: rgba(0, 0, 0, 0.1);
}   

.business-title-wrapper {
    display: flex;
    height: 2.8rem;
}

.business-avatar-wrapper {
    display: inline-block;
    float: left;
    width: 2.8rem;
    height: 2.8rem;
}

.business-avatar-wrapper img {
    width: 2.8rem;
    height: 2.8rem;
    border-radius: 50%;
    border: 1px solid #eee;
}

.business-text-wrapper {
    display: inline-block;
    float: left;
}

.business-text-wrapper h6 {
    font-size: 1.1rem;
    font-weight: 400;
    margin-bottom: 0.1rem;
}

.business-text-wrapper .fa-circle {
    font-size: 0.25rem;
    margin-left: 0.5rem;
    margin-right: 0.2rem;
    margin-bottom: 0.2rem;
    top: -3px;
    position: relative;
}

.business-card {
/*    padding-right: 0px!important;*/
    padding: 0.6rem;
    margin-bottom: 2.2rem;
}

@media only screen and (min-width: 600px) {
    .business-card {
        width: 100%;
        height: 160px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay {
        height: 160px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay.overlay-list {
/*        height: 115px;*/
    }

    .left-side-list.business-video, .left-side-list .video_frame, .left-side-list .business-video-overlay {
        height: 12vh;
    }

    #vid_name .video_frame {
        height: 170px;
    }

    .right-row {
        margin-left: 3rem!important;
    }
}

@media only screen and (min-width: 768px) {
    .business-card {
        width: 33%;
        height: 220px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay {
        height: 110px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay.overlay-list {
/*        height: 115px;*/
    }

    .left-side-list.business-video, .left-side-list .video_frame, .left-side-list .business-video-overlay {
        height: 12vh;
    }

    #vid_name .video_frame {
        height: 300px;
    }

    .right-row {
        margin-left: 3rem!important;
    }
}

@media only screen and (min-width: 1024px) {
    .business-card {
        width: 33%;
        height: 260px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay {
        height: 150px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay.overlay-list {
/*        height: 115px;*/
    }

    .left-side-list.business-video, .left-side-list .video_frame, .left-side-list .business-video-overlay {
        height: 12vh;
    }

    #vid_name .video_frame {
        height: 380px;
    }

    .right-row {
        margin-left: 3rem!important;
    }
}

@media only screen and (min-width: 1080px) {
    .business-card {
        width: 25%;
        height: 230px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay {
        height: 140px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay.overlay-list {
/*        height: 115px;*/
    }

    .left-side-list.business-video, .left-side-list .video_frame, .left-side-list .business-video-overlay {
        height: 13vh;
    }

    #vid_name .video_frame {
        height: 340px;
    }

    .right-row {
        margin-left: 3rem!important;
    }
}

@media only screen and (min-width: 1280px) {
    .business-card {
        width: 25%;
        height: 250px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay {
        height: 160px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay.overlay-list {
/*        height: 75px;*/
    }

    .left-side-list.business-video, .left-side-list .video_frame, .left-side-list .business-video-overlay {
        height: 13vh;
    }

    #vid_name .video_frame {
        height: 450px;
    }

    .right-row {
        margin-left: 3rem!important;
    }
}

@media only screen and (min-width: 1920px) {
    .business-card {
        width: 20%;
        height: 320px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay {
        height: 200px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay.overlay-list {
/*        height: 115px;*/
    }

    .left-side-list.business-video, .left-side-list .video_frame, .left-side-list .business-video-overlay {
        height: 14vh;
    }

    #vid_name .video_frame {
        height: 620px;
    }

    .right-row {
        margin-left: 3rem!important;
    }
}

@media only screen and (min-width: 2560px) {
    .business-card {
        width: 16.66%;
        height: 210px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay {
        height: 220px;
    }

    .video_frame, .business-card .business-video, .business-video-overlay.overlay-list {
/*        height: 115px;*/
    }

    .left-side-list.business-video, .left-side-list .video_frame, .left-side-list .business-video-overlay {
        height: 14vh;
    }

    #vid_name .video_frame {
        height: 580px;
    }

    .right-row {
        margin-left: 3rem!important;
    }
}